<?xml version="1.0"?>

<!-- This file can be used to override any configs -->
<OBJECTS name="">
    <NODE name="CONFIG.GLOBAL" factory="SystemConfiguration">
        <PARENT factory="Named" nodename="CONFIG.GLOBAL:parent"/>

        
        <PARAM name="StorageMappings" factory="Participant" class="oneit.objstore.rdbms.StorageMapping">
            <INHERITS nodename="StorageMappingsParent"/>
            
            <!-- This is an example MAP node for adding more polymorphic loaders
            <MAP code="SEC_USER" class="oneit.security.SecUser"/>
            -->
        </PARAM>
        
        <PARAM name="DBEnumStaticOverride:oneit.business.content.ArticleTemplate" factory="Named" nodename="DBEnumStaticOverride:ArticleTemplates"/>       
    </NODE>

    
    
    <NODE name="CONFIG.ORMVALIDATOR" factory="SystemConfiguration">
        <PARENT factory="Named" nodename="CONFIG.ORMVALIDATOR:parent"/>

        <!-- Validator for InvoiceStatus
        <PARAM name="InvoiceStatusValidator" factory="Participant" class="oneit.cashflow.orm.InvoiceStatusValidator" errorType="illegalStatus"/>
        -->
    </NODE>



    <NODE name="CONFIG.CONTENT" factory="SystemConfiguration">
        <PARENT factory="Named" nodename="CONFIG.CONTENT:parent"/>
        

        
        <!-- Initial HTML for new articles -->
        <!-- <PARAM name="initialHTML" factory="String">
        <![CDATA[
<html>
    <head>
        <meta name='author' content='Cougar Content by 1iT www.1it.com.au'>
        <link href="css/cms_style.css" rel="stylesheet" type="text/css">
    </head>
    <body>
    <p>

    </p>
    <br>
    </body>
</html>]]>
        </PARAM> -->



        <!-- Withdrawal diration of new articles -->         
        <!-- <PARAM name="DefaultNewArticleWithdrawDurationYears" factory="Integer" value="50"/> -->
        
        <!-- List of groups for filtering
        <PARAM name="listFilterGroupNames" factory="Array" class="java.lang.String">
            <NODE factory="String" value="Sales"/>
            <NODE factory="String" value="Dealer"/>
        </PARAM>
        -->
        
        <!-- 
        <PARAM name="ArticleLifecycleListeners" factory="Array" class="oneit.business.content.ArticleLifecycleListener">
            <NODE factory="Participant" class="cba.xsites.wizard.XSitesCommitListener"/>
        </PARAM>
        -->

        
        <NODE name="SharedPersonalisationTransformFactories">
            <INHERITS nodename="SharedPersonalisationTransformFactories:parent"/>    

            <NODE name="it" factory="Participant" class="oneit.utils.transform.param.ConstantTransform">
                <Constant  factory="String"><![CDATA[<span class="oneit_it">it</span>]]></Constant>
            </NODE>
        </NODE>
    </NODE>
    
    <NODE name="CONFIG.SEARCH" factory="SystemConfiguration">
        <PARENT factory="Named" nodename="CONFIG.SEARCH:parent"/>

        <!-- Uncomment this to enable the content search --> 
        <!-- <PARAM name="DoCMSSearch" factory="Boolean" value="true"/> -->    
    </NODE>
    
    <NODE name="SharedPersonalisationTransformFactories">
        <INHERITS nodename="SharedPersonalisationTransformFactories:parent"/>
        
        <NODE name="BracklineSeparator" class="performa.utils.BracklineSeparatorTransformFactory" />
        
    </NODE>
    
</OBJECTS>

